<?php

include_once '../../model/conexion.php';

class ModeloReporteVehiculos {

    private $con;

    public function __construct() {
        $this->con = new Conexion();
    }

    public function listarReporteVehiculos($fechaInicio, $fechaFin) {
        $this->con->cerrarAbrir();
        $sql = "call sp_mostrarReporteVehiculos(";
        $sql .= "0, ";
        if ($fechaInicio == '') {
            $sql .= "NULL, ";
        } else {
            $sql .= "'" . $fechaInicio . "', ";
        }
        if ($fechaFin == '') {
            $sql .= "NULL, ";
        } else {
            $sql .= "'" . $fechaFin . "', ";
        }
        $sql .= "'" . $_SESSION['usuario'] . "', ";
        $sql .= "1)";
        try {
            $arrDatos = array();
            $datos = $this->con->consultaRetorno($sql);
            $error = $this->con->error();
            if ($error == "") {
                while ($fila = mysqli_fetch_array($datos)) {
                    array_push($arrDatos, $fila);
                }
                $resp = $arrDatos;
            } else {
                $resp = array('success' => 0, 'mensaje' => 'ERROR: ' . $error . '. CONSULTA: ' . $sql);
            }
        } catch (Exception $e) {
            $resp = array('success' => 0, 'mensaje' => 'ERROR: ' . $e->getMessage());
        }
        return $resp;
    }

    public function obtenerdescripcionMantenimiento($tipoMantenimiento) {
        $this->con->cerrarAbrir();
        $sql = "call sp_obtenerTipoMantenimientoXM(";
        $sql .= "'" . $tipoMantenimiento . "', ";
        $sql .= "1)";
        try {
            $arrDatos = array();
            $datos = $this->con->consultaRetorno($sql);
            $error = $this->con->error();
            if ($error == "") {
                while ($fila = mysqli_fetch_array($datos)) {
                    array_push($arrDatos, $fila);
                }
                $resp = $arrDatos;
            } else {
                $resp = array('success' => 0, 'mensaje' => 'ERROR: ' . $error . '. CONSULTA: ' . $sql);
            }
        } catch (Exception $e) {
            $resp = array('success' => 0, 'mensaje' => 'ERROR: ' . $e->getMessage());
        }
        return $resp;
    }

}
